Bug 241128 - NullPointerException at org.netbeans.modules.web.el.ELTypeUtilities.getReturnTypeForGenericClass
Summary: NullPointerException at org.netbeans.modules.web.el.ELTypeUtilities.getReturn...
Status: RESOLVED FIXED
Alias: None
Product: javaee
Classification: Unclassified
Component: Expression Language (show other bugs)
Version: 8.0
Hardware: All All
: P3 normal (vote)
Assignee: Martin Fousek
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2014-01-29 16:19 UTC by muellermi
Modified: 2014-02-01 05:46 UTC (History)
0 users

See Also:
Issue Type: DEFECT
Exception Reporter: 207091


Attachments
stacktrace (4.53 KB, text/plain)
2014-01-29 16:19 UTC, muellermi
Details

Note You need to log in before you can comment on or make changes to this bug.
Description muellermi 2014-01-29 16:19:27 UTC
Build: NetBeans IDE Dev (Build 201401270001)
VM: Java HotSpot(TM) 64-Bit Server VM, 24.51-b03, Java(TM) SE Runtime Environment, 1.7.0_51-b13
OS: Windows 7

User Comments:
muellermi: edit JSF page




Stacktrace: 
java.lang.NullPointerException
   at org.netbeans.modules.web.el.ELTypeUtilities.getReturnTypeForGenericClass(ELTypeUtilities.java:227)
   at org.netbeans.modules.web.el.ELTypeUtilities.getReturnType(ELTypeUtilities.java:212)
   at org.netbeans.modules.web.el.ELTypeUtilities$TypeResolverVisitor.visit(ELTypeUtilities.java:909)
   at com.sun.el.parser.SimpleNode.accept(SimpleNode.java:222)
   at com.sun.el.parser.SimpleNode.accept(SimpleNode.java:225)
   at com.sun.el.parser.SimpleNode.accept(SimpleNode.java:225)
Comment 1 muellermi 2014-01-29 16:19:29 UTC
Created attachment 144549 [details]
stacktrace
Comment 2 Martin Fousek 2014-01-31 08:28:05 UTC
Thanks for reporting.

Fixed in web-main #801262faffc8.
Comment 3 Quality Engineering 2014-02-01 05:46:30 UTC
Integrated into 'main-silver', will be available in build *201402010001* on http://bits.netbeans.org/dev/nightly/ (upload may still be in progress)

Changeset: http://hg.netbeans.org/main-silver/rev/801262faffc8
User: Martin Fousek <marfous@netbeans.org>
Log: #241128 - NullPointerException at org.netbeans.modules.web.el.ELTypeUtilities.getReturnTypeForGenericClass